Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# CORBA::UnknownUserException Class Reference

UnknownUserException. More...

`#include <Unknown_User_Exception.h>`

Inheritance diagram for CORBA::UnknownUserException:

[legend]
Collaboration diagram for CORBA::UnknownUserException:

[legend]
List of all members.

## Public Methods
| UnknownUserException (void)
| Constructor.
| UnknownUserException (CORBA::Any &exception)
| Constructor.
| UnknownUserException (const UnknownUserException &e)
| Copy constructor.
virtual | ~UnknownUserException (void)
| Destructor.
virtual void | _raise (void) const
| To throw an UnknownUserException of this type.
virtual CORBA::Exception * | _tao_duplicate (void) const
virtual void | _tao_encode (TAO_OutputCDR &cdr ACE_ENV_ARG_DECL) const
virtual void | _tao_decode (TAO_InputCDR &cdr ACE_ENV_ARG_DECL)
virtual int | _is_a (const char *type_id) const
| Helper method to implement _downcast.
virtual CORBA::TypeCode_ptr | _type (void) const
| This class has a specific typecode.
## Static Public Methods
UnknownUserException * | _downcast (CORBA::Exception *ex)
| Narrow to an UnknowUserException.
## Public Attributes
CORBA::Any &exception | void
| Return the any containing the user exception.
## Private Attributes
CORBA::Any * | exception_
| Holder for the actual exception.

## Detailed Description

UnknownUserException.

When user exceptions are received by a DII invocation the ORB is unable to create the exception with the right dynamic type; to workaround this problem it throws a `CORBA::UnknownUserException` that contains the exception inside an Any.

## Constructor & Destructor Documentation

CORBA::UnknownUserException::UnknownUserException | ( | void |  | ) |

| Constructor.

CORBA::UnknownUserException::UnknownUserException | ( | CORBA::Any & | exception | ) |

| Constructor.

CORBA::UnknownUserException::UnknownUserException | ( | const UnknownUserException & | e | ) |

| Copy constructor.

CORBA::UnknownUserException::~UnknownUserException | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

CORBA::UnknownUserException * CORBA::UnknownUserException::_downcast | ( | CORBA::Exception * | ex | ) | `[static]`

| Narrow to an UnknowUserException. Reimplemented from CORBA::UserException.

int CORBA::UnknownUserException::_is_a | ( | const char * | type_id | ) | const`[virtual]`

| Helper method to implement _downcast. Reimplemented from CORBA::UserException.

void CORBA::UnknownUserException::_raise | ( | void |  | ) | const`[virtual]`

| To throw an UnknownUserException of this type. Implements CORBA::UserException.

virtual void CORBA::UnknownUserException::_tao_decode | ( | TAO_InputCDR &cdr | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Implements CORBA::Exception.

CORBA::Exception * CORBA::UnknownUserException::_tao_duplicate | ( | void |  | ) | const`[virtual]`

| Implements CORBA::Exception.

virtual void CORBA::UnknownUserException::_tao_encode | ( | TAO_OutputCDR &cdr | ACE_ENV_ARG_DECL | ) | const`[virtual]`

| Implements CORBA::Exception.

CORBA::TypeCode_ptr CORBA::UnknownUserException::_type | ( | void |  | ) | const`[virtual]`

| This class has a specific typecode. Reimplemented from CORBA::Exception.

## Member Data Documentation

CORBA::Any* CORBA::UnknownUserException::exception_`[private]`

| Holder for the actual exception.

CORBA::Any& exception CORBA::UnknownUserException::void

| Return the any containing the user exception.

The documentation for this class was generated from the following files:

- Unknown_User_Exception.h
- Unknown_User_Exception.cpp